cURL
curl --request GET \
--url https://app.masivo.ai/api/storefront/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'x-account-id: <x-account-id>'import requests
url = "https://app.masivo.ai/api/storefront/v1/contacts"
headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-account-id': '<x-account-id>', Authorization: 'Bearer <token>'}
};
fetch('https://app.masivo.ai/api/storefront/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.masivo.ai/api/storefront/v1/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-account-id: <x-account-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.masivo.ai/api/storefront/v1/contacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-account-id", "<x-account-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.masivo.ai/api/storefront/v1/contacts")
.header("x-account-id", "<x-account-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.masivo.ai/api/storefront/v1/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-account-id"] = '<x-account-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"persona_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"document_type": "<string>",
"document_number": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"first_name": "<string>",
"second_name": "<string>",
"last_name": "<string>",
"second_last_name": "<string>",
"email_verified": false,
"dob": "2023-12-25",
"gender": "MALE",
"country": "<string>",
"city": "<string>",
"phone": "<string>",
"is_anonymous": false,
"source": "<string>",
"channel": "<string>",
"phone_verified": false,
"status": "ACTIVE",
"tags": {},
"addresses": [
{
"street_1": "<string>",
"street_2": "<string>",
"street_number": "<string>",
"reference": "<string>",
"alias": "<string>",
"zip_code": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>"
}
],
"billing_info": [
{
"document_number": "<string>",
"document_type": "<string>",
"legal_name": "<string>",
"alias": "<string>",
"street_1": "<string>",
"street_2": "<string>",
"street_number": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>",
"phone": "<string>",
"email": "<string>"
}
],
"payments": [
{
"method": "CREDIT",
"last_four": "<string>",
"card_holder": "<string>",
"card_brand": "<string>",
"alias": "<string>",
"expiry_month": 123,
"expiry_year": 123
}
],
"data": {
"contact": {},
"order": {
"purchase_id": "<string>",
"value": 20.95,
"products": [
{
"sku": "<string>",
"amount": 123,
"value": 123,
"discounted_value": 123,
"redeem": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
],
"tags": {},
"metadata": {}
}
],
"payment_method": "CREDIT",
"channel_id": "<string>",
"store_id": "<string>",
"discounted_value": 10.95,
"shipping": {
"value": 3.25,
"discounted_value": 2.25,
"redeem": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
],
"tags": {},
"metadata": {}
},
"redeem": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
],
"metadata": {},
"brand_id": "<string>"
},
"identity_resolutions": [
{
"conditions": "<array>",
"max_group_size": 123,
"temporal_limits": "<array>",
"description": "<string>",
"isDefault": true
}
]
}
}
]
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "No contacts found",
"details": "No contacts found"
}{
"error": "Internal validation failed",
"details": {
"issues": [
{
"code": "custom",
"message": "At least one of the following parameters is required: id, email, or document_number",
"path": [
"searchParams"
]
}
]
}
}Contacts
Search contacts
Search for contacts using specific criteria. This endpoint allows you to find contacts by their unique identifiers: external ID, email, or document number. At least one of these three fields is required.
GET
/
contacts
cURL
curl --request GET \
--url https://app.masivo.ai/api/storefront/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'x-account-id: <x-account-id>'import requests
url = "https://app.masivo.ai/api/storefront/v1/contacts"
headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-account-id': '<x-account-id>', Authorization: 'Bearer <token>'}
};
fetch('https://app.masivo.ai/api/storefront/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.masivo.ai/api/storefront/v1/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-account-id: <x-account-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.masivo.ai/api/storefront/v1/contacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-account-id", "<x-account-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.masivo.ai/api/storefront/v1/contacts")
.header("x-account-id", "<x-account-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.masivo.ai/api/storefront/v1/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-account-id"] = '<x-account-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"persona_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"document_type": "<string>",
"document_number": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"first_name": "<string>",
"second_name": "<string>",
"last_name": "<string>",
"second_last_name": "<string>",
"email_verified": false,
"dob": "2023-12-25",
"gender": "MALE",
"country": "<string>",
"city": "<string>",
"phone": "<string>",
"is_anonymous": false,
"source": "<string>",
"channel": "<string>",
"phone_verified": false,
"status": "ACTIVE",
"tags": {},
"addresses": [
{
"street_1": "<string>",
"street_2": "<string>",
"street_number": "<string>",
"reference": "<string>",
"alias": "<string>",
"zip_code": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>"
}
],
"billing_info": [
{
"document_number": "<string>",
"document_type": "<string>",
"legal_name": "<string>",
"alias": "<string>",
"street_1": "<string>",
"street_2": "<string>",
"street_number": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>",
"phone": "<string>",
"email": "<string>"
}
],
"payments": [
{
"method": "CREDIT",
"last_four": "<string>",
"card_holder": "<string>",
"card_brand": "<string>",
"alias": "<string>",
"expiry_month": 123,
"expiry_year": 123
}
],
"data": {
"contact": {},
"order": {
"purchase_id": "<string>",
"value": 20.95,
"products": [
{
"sku": "<string>",
"amount": 123,
"value": 123,
"discounted_value": 123,
"redeem": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
],
"tags": {},
"metadata": {}
}
],
"payment_method": "CREDIT",
"channel_id": "<string>",
"store_id": "<string>",
"discounted_value": 10.95,
"shipping": {
"value": 3.25,
"discounted_value": 2.25,
"redeem": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
],
"tags": {},
"metadata": {}
},
"redeem": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
],
"metadata": {},
"brand_id": "<string>"
},
"identity_resolutions": [
{
"conditions": "<array>",
"max_group_size": 123,
"temporal_limits": "<array>",
"description": "<string>",
"isDefault": true
}
]
}
}
]
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "No contacts found",
"details": "No contacts found"
}{
"error": "Internal validation failed",
"details": {
"issues": [
{
"code": "custom",
"message": "At least one of the following parameters is required: id, email, or document_number",
"path": [
"searchParams"
]
}
]
}
}